httpd-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jerry Maloney <je...@lacknergroup.com>
Subject Re: php4apache.dll not being loaded
Date Wed, 05 Jan 2005 14:57:21 GMT
You are fantastic, Chris! It seems the PHP installer extracts php4ts.dll 
to the php folder by default, but Apache uses the copy that is in 
php\sapi. Upon moving the newly-extracted (4.3.10) php4ts.dll from php 
to php\sapi, i am able to restart the Apache service as normal.

PHP's instructions at 
http://www.php.net/manual/en/install.windows.manual.php seem to give the 
exact WRONG directions, namely, you are directed to put this file in the 
php folder, where it doesn't work.  I suppose i should leave a note for 
them ...

Thanks a ton for the help!
Jerry

Chris wrote:

> When you upgraded, did you replace the old php4ts.dll with the new 
> one? You get that error when it doesn't load properly.
>
> I don't know for a fact that this is the cause, but it's definitely 
> the most likely suspect.
>
> Chris
>
> Jerry Maloney wrote:
>
>> Hi all, this seems like a PHP question to me as well, but i am 
>> getting no help from them.
>>
>> I was running Apache 1.3.31 and PHP 4.3.8 on Win XP SP 1 just peachy 
>> until a security flaw was reported in PHP. I upgraded PHP to 4.3.10, 
>> and was unable to start the Apache service. Thinking it may be an 
>> Apache problem, i upgraded Apache to 1.3.33, but the same problem 
>> recurs, namely, when i start the Apache service, i get the message:
>> The Apache service on Local Computer started and then stopped ...
>>
>> and in the Application log:
>> Syntax error on line 193 of c:/apache13/apache/conf/httpd.conf
>>
>> Line 193 of httpd.conf is:
>> LoadModule php4_module c:/apache13/php/sapi/php4apache.dll
>>
>> php4apache.dll is definitely in that location. What's more, i only 
>> get the error when using the php4apache file from the PHP 4.3.10 
>> installation; if i swap the old (PHP 4.3.8) file into there, the 
>> service starts right up. (Hence my suspicion this is a PHP problem.)
>>
>> I don't want to revert to the old php4apache.dll because i believe it 
>> will re-introduce the security problems that have supposedly been 
>> resolved.
>>
>> Any ideas?
>>
>> Thanks in advance,
>> Jerry
>>
>>  
>>
>
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: users-unsubscribe@httpd.apache.org
> For additional commands, e-mail: users-help@httpd.apache.org
>
>
> .
>

Mime
View raw message